## mgltools-opengltk 1.5.6~rc1+cvs.20110625

=== debian/changelog ===
mgltools-opengltk (1.5.6~rc1+cvs.20110625-1ubuntu2) oneiric; urgency=low

  * Fix FTBFS from previous upload.

 -- Daniel T Chen <crimsun@ubuntu.com>  Mon, 26 Sep 2011 22:39:58 -0400

mgltools-opengltk (1.5.6~rc1+cvs.20110625-1ubuntu1) oneiric; urgency=low

  * Add undefsyms.patch: Numerous source files were not guarding against
    previous inclusions of various X11 headers, so only include what's
    necessary. Fixes FTBFS. (LP: #831268)

 -- Daniel T Chen <crimsun@ubuntu.com>  Mon, 26 Sep 2011 09:39:44 -0400

mgltools-opengltk (1.5.6~rc1+cvs.20110625-1) unstable; urgency=low

  * using current source from cvs
  * debian/control: depend on versionless tk-dev (Closes: #631539)

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 25 Jun 2011 18:20:22 +0200

mgltools-opengltk (1.5.6~rc1+cvs.20110617-1) unstable; urgency=low

  * New upstream version.

 -- Steffen Moeller <moeller@debian.org>  Fri, 17 Jun 2011 01:20:22 +0200

mgltools-opengltk (1.5.4.cvs.20100912-2) unstable; urgency=low

  * Debhelper 8 (control+compat)
  * debian/source/format: 3.0 (quilt)
  * debian/control:
    - Build-Depends: python-all-dev (>= 2.6) to enable python-support2
      Closes: #616894
    - XS-Python-Version: >= 2.6
      Closes: #623905
  * debian/rules: switch to short dh syntax which makes
    dh_python2 easy

 -- Andreas Tille <tille@debian.org>  Tue, 26 Apr 2011 11:52:41 +0200

mgltools-opengltk (1.5.4.cvs.20100912-1) unstable; urgency=low

  * New upstream version.
  * Adjusted dependencies (Closes: #596320, #586843).

 -- Steffen Moeller <moeller@debian.org>  Sun, 12 Sep 2010 00:20:31 +0200

mgltools-opengltk (1.5.4.cvs.20090603-2) UNRELEASED; urgency=low

  * debian/control:
    - Enhances: autodocktools
    - debhelper 7
    - Standards-Version: 3.8.3 (no changes needed)

 -- Andreas Tille <tille@debian.org>  Fri, 16 Oct 2009 22:47:50 +0200

mgltools-opengltk (1.5.4.cvs.20090603-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Build extension for all supported Python versions (closes: #586843)

 -- Piotr Ożarowski <piotr@debian.org>  Wed, 30 Jun 2010 21:21:01 +0200

mgltools-opengltk (1.5.4.cvs.20090603-1) unstable; urgency=low

  * New upstream version.

 -- Steffen Moeller <moeller@debian.org>  Wed, 03 Jun 2009 11:48:22 +0200

mgltools-opengltk (1.5.4.cvs.20090528-1) unstable; urgency=low

  * New upstream version (Closes: #528713).

 -- Steffen Moeller <moeller@debian.org>  Sat, 16 May 2009 00:51:27 +0200

mgltools-opengltk (1.5.4.cvs.20090514-1) unstable; urgency=low

  * New upstream version.

 -- Steffen Moeller <moeller@debian.org>  Thu, 14 May 2009 21:46:38 +0200

mgltools-opengltk (1.5.4.cvs.20081126-1) unstable; urgency=low

  * New upstream version.

 -- Steffen Moeller <moeller@debian.org>  Wed, 26 Nov 2008 14:43:14 +0100

mgltools-opengltk (1.5.2.cvs.20081109-1) unstable; urgency=low

  * New upstream version.

 -- Steffen Moeller <moeller@debian.org>  Sun, 09 Nov 2008 15:02:35 +0100

mgltools-opengltk (1.5.2.cvs.20080731-1) unstable; urgency=low

  * Initial release, contributes to closing ITP #458811.

 -- Steffen Moeller <moeller@debian.org>  Thu, 31 Jul 2008 22:00:01 +0200
