=== debian/control ===
Source: mgltools-opengltk
Section: non-free/science
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
DM-Upload-Allowed: yes
XS-Autobuild: yes
Uploaders: Steffen Moeller <moeller@debian.org>, Sargis Dallakyan <sargis@scripps.edu>,
 Andreas Tille <tille@debian.org>,
 Thorsten Alteholz <debian@alteholz.de>
Build-Depends: debhelper (>= 8), python-all-dev (>= 2.6), swig (>= 1.3.20), libglu1-mesa-dev, mesa-common-dev, tk-dev, libxmu-dev, python-numpy
Standards-Version: 3.9.2
XS-Python-Version: >= 2.6
Homepage: http://mgltools.scripps.edu/

Package: mgltools-opengltk
XB-Python-Version: ${python:Versions}
Provides: ${python:Provides}
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, libglu1-mesa, tk8.4|tk8.5|tk, python-numpy, mgltools-gle
Enhances: autodocktools
Description: Opengltk Python extension
 The library is needed by mgltools-autodocktools at runtime.  It contains
 the interface for building OpenGL Python extensions with the Python 
 build system Distutils.  Distutils uses SWIG for generating C wrapper
 code.
