=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# debian/rules for mgltools-opengltk

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

BRANCH=`cat debian/get-orig-source/current-branch`
RCVERSION=`cat debian/get-orig-source/rc-version`
SRC=opengltkDIST

%:
	dh $@ --with python2

DEB_PYTHON_INSTALL_ARGS += --single-version-externally-managed

override_dh_clean:
	dh_clean
	find . -name CVS -a -type d| xargs -r rm -rf
	find . -name config.status -a -type f| xargs -r rm -rf
	rm -rf build build-stamp
	cd opengltk/extent/ && \
           rm -f gl_i.h.diff glext_mgltools_i.h.diff glextlib.py.diff \
                 glextlib_wrap.c.diff gllib.py.diff gllib_wrap.c.diff \
                 glu_i.h.diff glulib.py.diff glulib_wrap.c.diff glx_i.h.diff \
                 glxlib.py.diff glxlib_wrap.c.diff utillib.py.diff utillib_wrap.c.diff

get-orig-source:
	./debian/get-orig-source/get-orig-source $(SRC) $(BRANCH) $(RCVERSION)
