## mgltools-opengltk 1.5.6~rc3~cvs.20120601

=== debian/changelog ===
mgltools-opengltk (1.5.6~rc3~cvs.20120601-2) unstable; urgency=low

  * debian/patches/opengl.patch: Apply patch from Steffen Moeller
    <steffen_moeller@gmx.de>
    Closes: #693653

 -- Andreas Tille <tille@debian.org>  Fri, 30 Nov 2012 17:39:00 +0100

mgltools-opengltk (1.5.6~rc3~cvs.20120601-1) unstable; urgency=low

  * New upstream version.
  * debian/rules: add call to dh_numpy
  * debian/control: bump standard to 3.9.3

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 01 Jun 2012 18:00:00 +0200

mgltools-opengltk (1.5.6~rc3~cvs.20120206-1) unstable; urgency=low

  * New upstream version.
  * debian/control: vcs fields corrected

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 06 Feb 2012 18:00:00 +0100
