=== debian/control ===
--- 
+++ 
@@ -4,13 +4,16 @@
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 DM-Upload-Allowed: yes
 XS-Autobuild: yes
-Uploaders: Steffen Moeller <moeller@debian.org>, Sargis Dallakyan <sargis@scripps.edu>,
+Uploaders: Steffen Moeller <moeller@debian.org>,
+ Sargis Dallakyan <sargis@scripps.edu>,
  Andreas Tille <tille@debian.org>,
  Thorsten Alteholz <debian@alteholz.de>
 Build-Depends: debhelper (>= 8), python-all-dev (>= 2.6), swig (>= 1.3.20), libglu1-mesa-dev, mesa-common-dev, tk-dev, libxmu-dev, python-numpy
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 XS-Python-Version: >= 2.6
 Homepage: http://mgltools.scripps.edu/
+Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/mgltools/opengltk/trunk/
+Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/mgltools/opengltk/trunk/
 
 Package: mgltools-opengltk
 XB-Python-Version: ${python:Versions}
