=== debian/rules ===
--- 
+++ 
@@ -25,5 +25,9 @@
                  glu_i.h.diff glulib.py.diff glulib_wrap.c.diff glx_i.h.diff \
                  glxlib.py.diff glxlib_wrap.c.diff utillib.py.diff utillib_wrap.c.diff
 
+override_dh_install:
+	dh_install
+	dh_numpy
+
 get-orig-source:
 	./debian/get-orig-source/get-orig-source $(SRC) $(BRANCH) $(RCVERSION)
