## mgltools-opengltk 1.5.7~rc1%2Bcvs.20140424

=== Togl/Makefile ===
--- 
+++ 
@@ -12,7 +12,7 @@
 # See the file "license.terms" for information on usage and redistribution
 # of this file, and for a DISCLAIMER OF ALL WARRANTIES.
 #
-# RCS: @(#) $Id: Makefile,v 1.2 2006/09/27 19:05:22 vareille Exp $
+# RCS: @(#) $Id: Makefile,v 1.4 2009/03/30 23:37:12 vareille Exp $
 
 #========================================================================
 # Add additional lines to handle any additional AC_SUBST cases that
