## mgltools-opengltk 1.5.7

=== debian/changelog ===
mgltools-opengltk (1.5.7-3) unstable; urgency=medium

  * Team upload.
  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.3.0
  * Remove trailing whitespace in debian/changelog
  * Remove trailing whitespace in debian/control
  * Remove trailing whitespace in debian/copyright
  * Drop ancient X-Python-Version field
  * remove outdated debian/pycompat

 -- Andreas Tille <tille@debian.org>  Tue, 08 Jan 2019 17:10:13 +0100

mgltools-opengltk (1.5.7-2) unstable; urgency=medium

  * Team upload.
  * Moved packaging from SVN to Git
  * Remove myself from Uploaders
  * debhelper 10
  * cme fix dpkg-control

 -- Andreas Tille <tille@debian.org>  Sun, 31 Dec 2017 14:51:32 +0100

mgltools-opengltk (1.5.7-1) unstable; urgency=medium

  * New upstream version (Closes: #767144,#783547,
                           lp:#821299,lp:1386091,lp:#1386163,lp:#1492762)
  * Added compiler flags to avoid redundant and incompatible
    UNIX declarations

 -- Steffen Moeller <moeller@debian.org>  Fri, 08 Jul 2016 17:55:45 +0200
