=== debian/control ===
Source: mgltools-opengltk
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>,
           Thorsten Alteholz <debian@alteholz.de>
Section: non-free/science
XS-Autobuild: yes
Priority: optional
Build-Depends: debhelper (>= 11~),
               python-all-dev,
               swig,
               libglu1-mesa-dev,
               mesa-common-dev,
               tk-dev,
               libxmu-dev,
               python-numpy,
               dh-python
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/med-team/mgltools-opengltk
Vcs-Git: https://salsa.debian.org/med-team/mgltools-opengltk.git
Homepage: http://mgltools.scripps.edu/

Package: mgltools-opengltk
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python:Depends},
         libglu1-mesa,
         python-numpy,
         mgltools-gle
Enhances: autodocktools
Provides: ${python:Provides}
Description: Opengltk Python extension
 The library is needed by mgltools-autodocktools at runtime.  It contains
 the interface for building OpenGL Python extensions with the Python
 build system Distutils.  Distutils uses SWIG for generating C wrapper
 code.
