=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,7 @@
 BRANCH=`cat debian/get-orig-source/current-branch`
 RCVERSION=`cat debian/get-orig-source/rc-version`
 SRC=opengltkDIST
+export CFLAGS=-D_UNISTD -DSTDC_HEADERS
 
 %:
 	dh $@ --with python2
